<?php
ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);
error_reporting(0);
require_once '../cms/includes/inicio.php';

$nome = addslashes(trim(@$_POST['nome']));
$email = addslashes(trim(@$_POST['email']));
$assunto = addslashes(trim(@$_POST['assunto']));
$mensagem = addslashes(trim(@$_POST['mensagem']));

if (!empty($nome) && !empty($email) && !empty($assunto) && !empty($mensagem)) {
    $dados = array(
        'nome' => $nome,
        'email' => $email,
        'assunto' => $assunto,
        'mensagem' => $mensagem,
    );

    $msgBody = "Nome: ".$nome."<br />
                Email: ".$email."<br />
                assunto: ".$assunto."<br />
                mensagem: ".$mensagem."<br />";

    //$para = 'gerencia@edmarvictor.com.br | angeiras@cappen.com';
    $para = 'gabriela@cappen.com | angeiras@cappen.com';

    $enviarEmail = Email::envia($para, 'Contato Edmar Victor - Site', $msgBody);

    if ($enviarEmail) {
        $retorno = array('status' => true, 'msg' => htmlentities('Enviado com sucesso.'));
    } else {
        $retorno = array('status' => false, 'msg' => htmlentities('Não foi possível realizar essa a operação. Tente novamente mais tarde.'));
    }
} else {
    $retorno = array('status' => false, 'msg' => htmlentities('Preencha os campos necessários.'));
}

header('Content-Type: application/json; charset=utf-8');
echo html_entity_decode(json_encode($retorno));
?>